#!/bin/sh

set -e
CP=
for f in ../../../dc/svntrunk/Java/modules/Grizzly/jar-lib/*.jar
do
	CP="$CP:$f"
done

JAVACOUT=tmp/javac-classes
rm -rf $JAVACOUT
mkdir -p $JAVACOUT

echo "#  Compiles filter api"
javac -cp "$CP" -d "$JAVACOUT" -g \
	`find src/dk/vitality/glimmerblock/api -name '*.java'`

echo "#  Compiles proxy"
CP="$JAVACOUT:$CP"
javac -cp "$CP" -d "$JAVACOUT" -g \
	`find src/dk/vitality/glimmerblock/proxy -name '*.java'`

echo "# Copies resources"
cd src
tar cf - `find dk/vitality/glimmerblock -name '*.js'` | (cd ../$JAVACOUT; tar xf -)
cd ..
echo "#  Makes jar"
echo "Main-Class: dk.vitality.glimmerblock.proxy.GlimmerBlock" > tmp/manifest
jar cfm tmp/glimmerblock.jar tmp/manifest -C "$JAVACOUT" .

echo "# All done:"
ls -l tmp/glimmerblock.jar
