/* Copyright (c) 2006-2008, Peter Speck / Vitality. All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Vitality nor the names of its contributors may be
 *       used to endorse or promote products derived from this software without
 *       specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY PETER SPECK / VITALITY AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL PETER SPECK / VITALITY AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR  SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package dk.vitality.glimmerblock.proxy.standardFilters;

import dk.vitality.glimmerblock.proxy.filter.AbstractBlockerFilterAdder;
import dk.vitality.glimmerblock.proxy.filter.DomainTreeSet;

/**
 * Adds blockers for common ad-agency websites such as doubleclick.net
 */
public class StandardBlockerFilters extends AbstractBlockerFilterAdder
{
	public StandardBlockerFilters(DomainTreeSet filterSet)
	{
		super(filterSet);
		// The list is only sorted to make it easier to update. The blockers can be added in any order.
		block(".247realmedia.com");
		block(".2o7.net");
		block(".a.lakequincy.com");
		block(".ad.ofir.dk");
		block(".ad.yieldmanager.com");
		block(".ad2net.de");
		block(".adbrite.com");
		block(".adition.com");
		block(".ads.cnn.com");
		block(".ads.guardian.co.uk");
		block(".ads.metropol.dk");
		block(".ads.sixapart.com");
		block(".adservinghost.com");
		block(".adson.awempire.com");
		block(".adsonar.com");
		block(".adtech.de");
		block(".adtech.panthercustomer.com");
		block(".advertising.com");
		block(".annoncoer.ofir.dk");
		block(".assoc-amazon.de");
		block(".atdmt.com");
		block(".clicktorrent.info");
		block(".cmpnet.com");
		block(".com.com");
		block(".cpaclicks.com");
		block(".doubleclick.net");
		block(".emediate.dk");
		block(".euroads.euroinvestor.dk");
		block(".eyewonder.com");
		block(".falkag.de");
		block(".fastclick.net");
		block(".fmpub.net");
		block(".googlesyndication.com/pagead/imgad");
		block(".impde.tradedoubler.com");
		block(".ivwbox.de");
		block(".ligatus.de");
		block(".mediaplex.com");
		block(".mediaprovider.adservinginternational.com");
		block(".microsoftaffiliates.com");
		block(".numax.nu-1.com");
		block(".oascentral.dilbert.com");
		block(".oascentral.okcupid.com");
		block(".promos.fling.com");
		block(".richmedia.yimg.com");
		block(".saturn.tiser.com.au");
		block(".serving-sys.com");
		block(".spe.atdmt.com");
		block(".specificmedia.com");
		block(".speed.pointroll.com");
		block(".starwave.com");
		block(".statcounter.com");
		block(".track.adform.net");
		block(".tradedoubler.com");
		block(".tribalfusion.com");
		block(".www.etracker.de");
		block(".www.usemax.de");
		block("jubii.dk/ads");
	}
}